// File: State.java
// State object class declaration

import java.io.*;
import java.text.*;
import java.util.*;

public class State {

	protected String name,capital;
	protected int population,area,year,order;

	public State()
	{name=capital="";
	 population=area=year=order=0;
	}

	public State(String name,int pop,int area,
				int year,int order, String capital)
	{this.name=name;
	 this.capital=capital;
	 this.population=population;
	 this.area=area;
	 this.year=year;
	 this.order=order;
	}

	public void setName(String name)
	{this.name=name;}

        public String getName()
        { return (name);}

        public String getCap()
        { return (capital);}

        public int getPop() {
          return (population);
        }

        public int getArea() {
          return (area);
        }

        public int getYear() {
              return (year);
        }

        public int getOrder() {
              return (order);
        }

	public static void printHeader()
	{System.out.println
		("State          Pop      Area   Year Order Capital");
  	}

	public static State readStateFromFile(BufferedReader Data,PrintWriter out) 
						throws java.io.IOException
	{
         String LineOfFile=Data.readLine();
	 if (LineOfFile==null)
		 return(null);
	 StringTokenizer sTok=new StringTokenizer(LineOfFile);
	 State Result=new State();
	 Result.name=sTok.nextToken();
	 Result.population=Integer.valueOf(sTok.nextToken()).intValue();
	 Result.area      =Integer.valueOf(sTok.nextToken()).intValue();
	 Result.year	   =Integer.valueOf(sTok.nextToken()).intValue();
	 Result.order	   =Integer.valueOf(sTok.nextToken()).intValue();
	 Result.capital=sTok.nextToken();
	 return(Result);
	}

	private static String stringTo14(String s)
	{char[] it=s.toCharArray(),result=new char[14];
	 for (int i=0;i<it.length;i++)
		 result[i]=it[i];
	 for (int i=it.length;i<14;i++)
		 result[i]=' ';
	 return(String.valueOf(result));
	}

	public void printState() throws java.io.IOException
	{DecimalFormat popForm=new DecimalFormat("00000000");
	 DecimalFormat areaForm=new DecimalFormat("000000");
	 DecimalFormat orderForm=new DecimalFormat("00");
	 System.out.println(stringTo14(name)+' '+
		popForm.format(population)+' '+
			areaForm.format(area)+' '+year+' '
			   +orderForm.format(order)+' '+stringTo14(capital));
	}

        //
        public String toString()
        {return(name);}

}
